package com.kingdee.eas.custom.bill.salary;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPayPacketInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractPayPacketInfo()
    {
        this("id");
    }
    protected AbstractPayPacketInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.bill.salary.PayPacketEntryCollection());
    }
    /**
     * Object: 工资包 's 分录 property 
     */
    public com.kingdee.eas.custom.bill.salary.PayPacketEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.bill.salary.PayPacketEntryCollection)get("entrys");
    }
    /**
     * Object:工资包's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object: 工资包 's 行政组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrgUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrgUnit");
    }
    public void setAdminOrgUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrgUnit", item);
    }
    /**
     * Object: 工资包 's 员工 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object:工资包's 总金额property 
     */
    public java.math.BigDecimal getMoney()
    {
        return getBigDecimal("money");
    }
    public void setMoney(java.math.BigDecimal item)
    {
        setBigDecimal("money", item);
    }
    /**
     * Object:工资包's 生效日期property 
     */
    public java.util.Date getStartDate()
    {
        return getDate("startDate");
    }
    public void setStartDate(java.util.Date item)
    {
        setDate("startDate", item);
    }
    /**
     * Object:工资包's 失效日期property 
     */
    public java.util.Date getEndDate()
    {
        return getDate("endDate");
    }
    public void setEndDate(java.util.Date item)
    {
        setDate("endDate", item);
    }
    /**
     * Object:工资包's 补发日期property 
     */
    public java.util.Date getReissueDate()
    {
        return getDate("reissueDate");
    }
    public void setReissueDate(java.util.Date item)
    {
        setDate("reissueDate", item);
    }
    /**
     * Object:工资包's 状态property 
     */
    public com.kingdee.eas.custom.enums.billStatusEnum getStatus()
    {
        return com.kingdee.eas.custom.enums.billStatusEnum.getEnum(getString("status"));
    }
    public void setStatus(com.kingdee.eas.custom.enums.billStatusEnum item)
    {
		if (item != null) {
        setString("status", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("2676510E");
    }
}